#CONFIG -= qt 
CONFIG	+= console warn_off thread release

TEMPLATE = app


TARGET = preprocessor

CONFIG(debug) {
DESTDIR = "../bin/debug"
}

CONFIG(release) {
DESTDIR = "../bin/release"
}

NONGTP = ../../../../../../NonGTP

#win32:INCLUDEPATH += c:/STLport-4.6.2/stlport

CONFIG(qt) {
win32:INCLUDEPATH += "d:/Programs/NVIDIA Corporation/Cg/include"
}

unix:INCLUDEPATH += ../support/src/xerces-c-src_2_7_0/include

INCLUDEPATH += ../src  $$NONGTP/Xerces/xerces/include  $$NONGTP/Zlib/include $$NONGTP/Boost $$NONGTP/Devil/include

win32:LIBPATH += GL $$NONGTP/Xerces/xerces/lib $$NONGTP/Devil/lib \
  $$NONGTP/glut $$NONGTP/Boost/lib $$NONGTP/Zlib/lib 

CONFIG(qt) {
win32:LIBPATH += "d:/Programs/NVIDIA Corporation/Cg/lib"
CONFIG(debug) {
LIBPATH += QtRenderer/debug
}

CONFIG(release) {
LIBPATH += QtRenderer/release
}
}

unix:LIBPATH += ../support/src/xerces-c-src_2_7_0/lib ../support/devil/lib /usr/lib/qt3/lib64

#win32:LIBPATH += c:/STLport-4.6.2/lib


# RELEASE CONFIG
#CONFIG		+= windows warn_on thread release

# DEPENDPATH	= ../../include
CONFIG(qt) {
QT += opengl
}

win32:LIBS += devil.lib ilu.lib ilut.lib glew32.lib zlib.lib zdll.lib zziplibd.lib

CONFIG(release) {
win32:LIBS += xerces-c_2.lib 
}

CONFIG(debug) {
win32:LIBS += xerces-c_2D.lib 
}

QMAKE_LFLAGS_CONSOLE=/NODEFAULTLIB:LIBCMT

CONFIG(qt) {
win32:LIBS += cg.lib cgGL.lib
LIBS += QtRenderer.lib
}

unix:LIBS += -lxerces-c -lIL -lILU -lILUT

# Input
HEADERS += Halton.h VssRay.h VssPreprocessor.h RssTree.h GlRenderer.h \
PreprocessorThread.h Preprocessor.h Beam.h


SOURCES += \
Preprocessor.cpp SamplingPreprocessor.cpp ExactPreprocessor.cpp \
KdTree.cpp Environment.cpp gzstream.cpp common.cpp \
UnigraphicsParser.cpp X3dExporter.cpp SceneGraph.cpp Material.cpp \
Matrix4x4.cpp Vector3.cpp AxisAlignedBox3.cpp Ray.cpp main.cpp Mesh.cpp \
Exporter.cpp Camera.cpp X3dParser.cpp MeshKdTree.cpp Pvs.cpp \
MutualVisibility.cpp Triangle3.cpp Rectangle3.cpp Plane3.cpp Polygon3.cpp \
ViewCell.cpp ViewCellBsp.cpp Halton.cpp VssRay.cpp VssTree.cpp VssPreprocessor.cpp \
RenderSimulator.cpp RayInfo.cpp RssTree.cpp RssPreprocessor.cpp \ 
ViewCellsManager.cpp VspBspTree.cpp GlRenderer.cpp \
PreprocessorThread.cpp Renderer.cpp Beam.cpp ViewCellsParser.cpp Tetrahedron3.cpp \
VrmlExporter.cpp PlyParser.cpp plyfile.c RenderSampler.cpp \
GzBinFileInputStream.cpp  GzFileInputSource.cpp \
LogManager.cpp \
SamplingStrategy.cpp KdIntersectable.cpp \
OspTree.cpp HierarchyManager.cpp ObjParser.cpp VspTree.cpp \
BvHierarchy.cpp  \
BoostPreprocessorThread.cpp 


CONFIG(qt) {
SOURCES += OcclusionQuery.cpp
}

